%global __brp_check_rpaths %{nil}
%global packname  medExtractR
%global packver   0.4.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.1
Release:          1%{?dist}%{?buildtag}
Summary:          Extraction of Medication Information from Clinical Text

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-stringi 
BuildRequires:    R-CRAN-stringr 
Requires:         R-CRAN-stringi 
Requires:         R-CRAN-stringr 

%description
Function and support for medication and dosing information extraction from
free-text clinical notes. Medication entities for the basic medExtractR
implementation that can be extracted include drug name, strength, dose
amount, dose, frequency, intake time, dose change, and time of last dose.
The basic medExtractR is outlined in Weeks, Beck, McNeer, Williams, Bejan,
Denny, Choi (2020) <doi: 10.1093/jamia/ocz207>. The extended
medExtractR_tapering implementation is intended to extract dosing
information for more tapering schedules, which are far more complex. The
tapering extension allows for the extraction of additional entities
including dispense amount, refills, dose schedule, time keyword,
transition, and preposition.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
